import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class triangle here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class triangle extends Actor
{
    private boolean atWater = false;
    private static final double WALKING_SPEED = 0.0;
    
    /**
     * Act - do whatever the triangle wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
       checkKeys();
       double angle = Math.toRadians( getRotation() );
       int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
       if(((map)getWorld()).isWater(x, y)) {
            atWater = true;
        }
        else {
            atWater = false;
            setLocation(x, y);
        }
        if (atWater())
        {
            Greenfoot.playSound("fail.wav");
            setLocation(900, 450);
        }
//         hardMode();
//         superHardMode();
//         strafeMaster();
    }    
    public void strafeMaster()
    {
        move(-2);
    }
    public void hardMode()
    {
        move(-1);
    }
    public void superHardMode()
    {
        move(10);
    }
    public void checkKeys()
    {
        if (Greenfoot.isKeyDown("a"))
        {
            turn(-5);
            move(3);
        }
        
        if (Greenfoot.isKeyDown("d"))
        {
            turn(5);
            move(3);
        }
        
        if (Greenfoot.isKeyDown("s"))
        {
            move(-1);
        }
        
    }
    public boolean atWater()
    {
        return atWater;
    }
}
