import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Color;
public class Timer extends Counter
{
    private static final int GAME_TIME = 120;
    
    private int tick;
    
    public Timer()
    {
        super("Time: ");
        tick = 0;
    }
   
    /**
     * Count time. Notify of 'Game Over' when game time is reached.
     */
    public void act() 
    {
        tick++;
        if(tick == 100) {
            increment();
            tick = 0;
            
        }
        
    }
    
    
    
    /**
     * Return true if game time is up.
     */
    private boolean timeOut()
    {
        return getValue() >= GAME_TIME;
    }
    public void doneYo()
    {
        if (timeOut())
        {
            clearWorld();
        }
    }
     public void clearWorld()
    {
        
        setLocation(1500, 800);
    }
    
//     /**
//      * Notify that the level is over.
//      */
//     private void gameOver()
//     {
//         ((map)getWorld()).mapFinished(GAME_TIME - getValue());
//     }

}
